[@rxap/form-system](../wiki/globals) / ExtractFunctionsMixin

# Class: ExtractFunctionsMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:41](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L41)

## Extended by

- [`ExtractFunctionMixin`](../wiki/Class.ExtractFunctionMixin)

## Constructors

### new ExtractFunctionsMixin()

> **new ExtractFunctionsMixin**(): [`ExtractFunctionsMixin`](../wiki/Class.ExtractFunctionsMixin)

#### Returns

[`ExtractFunctionsMixin`](../wiki/Class.ExtractFunctionsMixin)

## Methods

### extractFunctions()

> `protected` **extractFunctions**(`defaultMap`, `formDefinition`, `controlId`): `Map`\<`string`, [`UseFunctionDefinition`](../wiki/Interface.UseFunctionDefinition)\<`unknown`, `any`[], [`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L43)

#### Parameters

##### defaultMap

`null` | `Map`\<`string`, [`UseFunctionDefinition`](../wiki/Interface.UseFunctionDefinition)\<`unknown`, `any`[], [`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`unknown`, `any`[], `any`, `any`[]\>\>\>

##### formDefinition

`FormDefinition`

##### controlId

`string`

#### Returns

`Map`\<`string`, [`UseFunctionDefinition`](../wiki/Interface.UseFunctionDefinition)\<`unknown`, `any`[], [`UseFunctionConfig`](../wiki/Interface.UseFunctionConfig)\<`unknown`, `any`[], `any`, `any`[]\>\>\>
